@echo off

set NVCC=echo nvcc
rem set NVCC=nvcc -O3 -arch=sm_13
rem set NVCC=nvcc -O3 -arch=sm_20
rem set NVCC=nvcc -O3 -arch=sm_21
rem set NVCC=nvcc -O3 -arch=sm_30
rem set NVCC=nvcc -O3 -arch=sm_35
rem set NVCC=nvcc -O3 -arch=sm_50

set CUDA="C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v10.1"

set INCS=-I%CUDA%/include

set DEFS=-use_fast_math

set RSC=
rem set RSC=-DFilter=Ramachandran
rem set RSC=-DFilter=Shepp
rem set RSC=-DFilter=Chesler

rem set SIF_F=sif_f_full.c
set SIF_F=sif_f_fast.c

set LIBS=-L%CUDA%/lib -lcudart -lcufft -lm

%NVCC% %INCS% %DEFS% ^
-DONLY_CT_VIEWS -DFOM=float -DFloat=float %RSC% ^
error.c rhp.c cbp.cu %SIF_F% hp_tg.c %LIBS% -o hp_tg_g
